{ config, ... }:

let
  giuglioDomain = "giugl.io";
in
{
  age.secrets.ovh = {
    file = ../secrets/ovh.age;
    owner = "acme";
  };
  security.acme = {
    acceptTerms = true;
    certs.${giuglioDomain} =
      {
        dnsProvider = "ovh";
        environmentFile = config.age.secrets.ovh.path;
        extraDomainNames = [ "*.${giuglioDomain}" ];
      };
    defaults = {
      email = "letsencrypt@depasquale.giugl.io";
      dnsProvider = "ovh";
      environmentFile = config.age.secrets.ovh.path;
    };
  };
}
